org.apache.ignite.internal.processors.datastructures

## Interface GridCacheCountDownLatchEx

All Superinterfaces:
  AutoCloseable, Closeable, GridCacheRemovable, IgniteCountDownLatch

All Known Implementing Classes:
  GridCacheCountDownLatchImpl

    public interface GridCacheCountDownLatchEx
    extends IgniteCountDownLatch, GridCacheRemovable

Grid cache count down latch (`'Ex'` stands for external).

### Method Summary

All Methods Instance Methods Abstract Methods
`GridCacheInternalKey` `key()` Get current count down latch key.
`void` `onUpdate(int cnt)` Callback to notify latch on changes.

### Methods inherited from interface org.apache.ignite.IgniteCountDownLatch

`autoDelete, await, await, await, close, count, countDown, countDown, countDownAll, initialCount, name, removed`

### Methods inherited from interface org.apache.ignite.internal.processors.datastructures.GridCacheRemovable

`needCheckNotRemoved, onRemoved, restart, suspend`

### Method Detail

#### key

    GridCacheInternalKey key()

Get current count down latch key.

Returns:
  Latch key.

#### onUpdate

    void onUpdate(int cnt)

Callback to notify latch on changes.

Parameters:
  `cnt` - New count.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023